<?php
/**
 *
 * @category        modules
 * @package         minicompare v1.0
 * @author          Dev4me / Ruud Eisinga
 * @link			https://dev4me.com/modules-snippets/opensource/minicompare/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @requirements    PHP 7.2 and higher
 * @version         1.0.3
 * @lastmodified    July 20, 2022
 *
 */

if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
	

	
$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_minicompare`");
$mod_table = "CREATE TABLE IF NOT EXISTS `".TABLE_PREFIX."mod_minicompare` (
		`section_id` INT(11) NOT NULL DEFAULT '0',
		`page_id` INT(11) NOT NULL DEFAULT '0',
		`name` VARCHAR(128) NOT NULL DEFAULT '' COLLATE 'utf8_general_ci',
		`description` TEXT NOT NULL COLLATE 'utf8_general_ci',
		`maxsize` INT(11) NOT NULL DEFAULT '1600',
		`containerwidth` INT(11) NOT NULL DEFAULT '0',
		`start` INT(11) NOT NULL DEFAULT '50',
		`ratio` VARCHAR(16) NOT NULL DEFAULT '4:3' COLLATE 'utf8_general_ci',
		`class` VARCHAR(128) NOT NULL DEFAULT '' COLLATE 'utf8_general_ci',
		`before` VARCHAR(128) NOT NULL DEFAULT '' COLLATE 'utf8_general_ci',
		`after` VARCHAR(128) NOT NULL DEFAULT '' COLLATE 'utf8_general_ci',
		`mode` VARCHAR(16) NOT NULL DEFAULT '' COLLATE 'utf8_general_ci',
		`theme` VARCHAR(32) NOT NULL DEFAULT 'standard' COLLATE 'utf8_general_ci',
		`sorting` MEDIUMTEXT NULL DEFAULT NULL COLLATE 'utf8_general_ci',
		PRIMARY KEY (`section_id`) USING BTREE
	)
	COLLATE='utf8_general_ci'
	;";
$database->query($mod_table);


$path = WB_PATH.'/modules/minicompare/';
if(file_exists($path.'new_frontend.css')) {
	if(!rename($path.'new_frontend.css',$path.'frontend.css')) {
		echo "<h2>Error renaming frontend.css. Please rename new_frontend.css manually to frontend.css</h2>";
	}
}



?>