<?php
/**
 *
 * @category        modules
 * @package         minicompare v1.0
 * @author          Dev4me / Ruud Eisinga
 * @link			https://dev4me.com/modules-snippets/opensource/minicompare/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @requirements    PHP 7.2 and higher
 * @version         1.0.3
 * @lastmodified    July 20, 2022
 *
 */

if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require(dirname(__FILE__).'/info.php');
$basedir = WB_PATH.MEDIA_DIRECTORY.'/'.$image_path.'/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/'.$image_path.'/';
require_once (dirname(__FILE__).'/functions.php');
minicompare_create_dir($section_id);

if(!file_exists(WB_PATH.'/modules/minicompare/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/minicompare/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/minicompare/languages/'.LANGUAGE.'.php');
}

// Setup template object
if(class_exists('vendor\phplib\Template')) { 
	$template = new vendor\phplib\Template(WB_PATH.'/modules/minicompare');
} else {
	$template = new Template(WB_PATH.'/modules/minicompare');
}

$template->set_file('page', 'modify.htt');
$template->set_block('page', 'main_block', 'main');

// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_minicompare WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();


$name = $settings['name'];
$description = $settings['description'];
$maxsize = $settings['maxsize'];
$ratio = $settings['ratio'];
$mode = $settings['mode'];
$start = $settings['start'];
$theme = $settings['theme'];
$before = $settings['before'];
$after = $settings['after'];
$class = $settings['class'];
$containerwidth = $settings['containerwidth'];


$upload_limit = minicompare_get_upload_limit();
//build images
$imglist = '';
$curdir = $section_id."/";
$imglist = getminicompareImageList($basedir,$curdir,$baseurl,$section_id);
 
$rat = array('none', '1:1', '4:3', '16:9','16:4','21:9','21:4','3:4', '9:16', '9:21');
$ratselect = '<select name="ratio">';
foreach ($rat as $t) {
	$selected = $t == $ratio ? " selected='selected'": '';
	$ratselect .= '<option value="'.$t.'"'.$selected.'>'.$t.'</option>';
}
$ratselect .= '</select>';

$mod = array('horizontal', 'vertical');
$modselect = '<select name="mode">';
foreach ($mod as $t) {
	$selected = $t == $mode ? " selected='selected'": '';
	$modselect .= '<option value="'.$t.'"'.$selected.'>'.$t.'</option>';
}
$modselect .= '</select>';

$themelist = array('standard', 'round', 'blurred');
$themeselect = '<select name="theme">';
foreach ($themelist as $t) {
	$selected = $t == $theme ? " selected='selected'": '';
	$themeselect .= '<option value="'.$t.'"'.$selected.'>'.$t.'</option>';
}
$themeselect .= '</select>';


// Insert vars
$template->set_var(array(
								'PAGE_ID' => $page_id,
								'SECTION_ID' => $section_id,
								'WB_URL' => WB_URL,
								'NAME' => $name,
								'DESCRIPTION' => $description,
								'MAXSIZE' => $maxsize,
								'RATIO' => $ratselect,
								'CLASS' => $class,
								'AFTER' => $after,
								'BEFORE' => $before,
								'MODE' => $modselect,
								'THEME' => $themeselect,
								'START' => $start,
								'CONTAINERWIDTH' => $containerwidth,

								'TEXT_DRAGDROP' => $MG['DRAGDROP'],
								'TEXT_REFRESH' => $MG['REFRESH'],
								'TEXT_DELETEALL' => $MG['DELETEALL'],
								'TEXT_DELETESURE' => $MG['DELETESURE'],
								'TEXT_DELETEONE' => $MG['DELETEONE'],
								'TEXT_YES' => $MG['YES'],
								'TEXT_NO' => $MG['NO'],
								'TEXT_CAPTION' => $MG['CAPTION'],
								'TEXT_UPLOADLIMIT' => $MG['UPLOADLIMIT'],
								'UPLOAD_LIMIT' => $upload_limit,
								'TEXT_SORT' => $MG['SORT'],
								'TEXT_SAVE' => $TEXT['SAVE'],
								'TEXT_CANCEL' => $TEXT['CANCEL'],
								'TEXT_MINICOMPARE' => $MG['MINICOMPARE'],
								'TEXT_SETTINGS' => $MG['SETTINGS'],
								'TEXT_UPLOAD' => $MG['UPLOAD'],
								'TEXT_SUBTITLE' => $MG['SUBTITLE'],
								'TEXT_NAME' => $MG['NAME'],
								'TEXT_DESC' => $MG['DESCRIPTION'],
								'TEXT_MAXSIZE' => $MG['MAXSIZE'],
								'TEXT_RATIO' => $MG['RATIOTHUMB'],
								'TEXT_ADDCLASS' => $MG['ADDCLASS'],
								'HELP_NAME' => $MG['HELP_NAME'],
								'HELP_DESC' => $MG['HELP_DESCRIPTION'],
								'HELP_MAXSIZE' => $MG['HELP_MAXSIZE'],
								'HELP_RATIO' => $MG['HELP_RATIO'],
								'HELP_ADDCLASS' => $MG['HELP_ADDCLASS'],
								'FIRSTTWO' => $MG['FIRSTTWO'],
								'NOTE' => $MG['NOTE'],
								'FILE' => $MG['FILE'],
								'CURRENT' => $MG['CURRENT'],
								'REMOVECUR' => $MG['REMOVECUR'],
								'UPLOADING' => $MG['UPLOADING'],
								'IMAGES' => $imglist,
								'TEXT_BEFORE' => $MG['BEFORE'],
								'HELP_BEFORE' => $MG['HELP_BEFORE'],
								'TEXT_AFTER' => $MG['AFTER'],
								'HELP_AFTER' => $MG['HELP_AFTER'],
								'TEXT_MODE' => $MG['MODE'],
								'HELP_MODE' => $MG['HELP_MODE'],
								'TEXT_THEME' => $MG['THEME'],
								'HELP_THEME' => $MG['HELP_THEME'],
								'TEXT_START' => $MG['START'],
								'HELP_START' => $MG['HELP_START'],
								'TEXT_CONTAINERWIDTH' => $MG['TEXT_CONTAINERWIDTH'],
								'HELP_CONTAINERWIDTH' => $MG['HELP_CONTAINERWIDTH'],
								)
						);

// Parse template object
$template->parse('main', 'main_block', false);
$template->pparse('output', 'page');

?>