<?php
/**
 *
 * @category        modules
 * @package         minicompare v1.0
 * @author          Dev4me / Ruud Eisinga
 * @link			https://dev4me.com/modules-snippets/opensource/minicompare/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @requirements    PHP 7.2 and higher
 * @version         1.0.3
 * @lastmodified    July 20, 2022
 *
 */

require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require_once ('functions.php');
require(WB_PATH.'/modules/admin.php');
$update_when_modified = true; 
set_time_limit ( 600 );
require(dirname(__FILE__).'/info.php');
$basedir = WB_PATH.MEDIA_DIRECTORY.'/'.$image_path.'/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/'.$image_path.'/';
$pathToFolder = $basedir.$section_id.'/';
$thumbFolder = $pathToFolder.'thumbs/';
$overwrite = true;
$message = '';

if(isset($_POST['section_id'])) {
	$maxsize 		= intval($_POST['maxsize']);
	$class 			= $database->escapeString($_POST['class']);
	$name			= $database->escapeString($_POST['name']);
	$description 	= $database->escapeString($_POST['description']);
	$ratio 			= $database->escapeString($_POST['ratio']);
	$before 		= $database->escapeString($_POST['before']);
	$after 			= $database->escapeString($_POST['after']);
	$mode 			= $database->escapeString($_POST['mode']);
	$theme 			= $database->escapeString($_POST['theme']);
	$start 			= intval($_POST['start']);
	$containerwidth = intval($_POST['containerwidth']);
	if($start == 0 ) $start = 50;
	if($start > 90 ) $start = 90;
	if($start < 10 ) $start = 10;
	
	$query = "UPDATE ".TABLE_PREFIX."mod_minicompare SET 
			`name` = '$name', 
			`description` = '$description', 
			`maxsize` = '$maxsize', 
			`ratio` = '$ratio', 
			`class` = '$class', 
			`before` = '$before',
			`after` = '$after',
			`mode` = '$mode',
			`theme` = '$theme',
			`start` = '$start',
			`containerwidth` = '$containerwidth'
			WHERE `section_id` = '$section_id'";
	$database->query($query);	

	make_dir($basedir);
	make_dir($pathToFolder);
	make_dir($thumbFolder);
}

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES_SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
// Print admin footer
$admin->print_footer();

?>