<?php
/**
 *
 * @category        modules
 * @package         minicompare v1.0
 * @author          Dev4me / Ruud Eisinga
 * @link			https://dev4me.com/modules-snippets/opensource/minicompare/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @requirements    PHP 7.2 and higher
 * @version         1.0.3
 * @lastmodified    July 20, 2022
 *
 */

// https://swiperjs.com/swiper-api#parameters

if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require(dirname(__FILE__).'/info.php');
$basedir = WB_PATH.MEDIA_DIRECTORY.'/'.$image_path.'/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/'.$image_path.'/';
require_once (dirname(__FILE__).'/functions.php');

$get_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minicompare WHERE section_id = '$section_id'");
$settings = $get_settings->fetchRow();
$name = $settings['name'];
$description = nl2br($settings['description']);
$width = $settings['containerwidth'];
$width = $width ? ' style="margin-left:auto;margin-right:auto;max-width:'.$width.'px"':'';

$class = $settings['class'];
$class = $class ? ' '.$class:'';

$sorting = ($settings['sorting']);
$maxsize = ($settings['maxsize']);
$ratio = $settings['ratio'];
$before = $settings['before'];
$after = $settings['after'];
$theme = $settings['theme'];
$start = $settings['start'];
$mode = $settings['mode'];
$modebool = $mode == 'vertical' ? 'true':'false';
$curdir = $section_id."/";

$cbool = $theme == 'round' ? 'true':'false';
$cbool = $theme == 'blurred' ? 'true': $cbool;
$bbool = $theme == 'blurred' ? 'true':'false';
if($start > 90 ) $start = 90;
if($start < 10 ) $start = 10;



$images = getminicompareImages($basedir,$curdir,$section_id,$sorting); 
if($images) {
	
	echo '<div class="minicompare sec'.$section_id.$class.'"'.$width.'>'; 
	if ($name) echo '<h1 class="mgtitle">'.$name.'</h1>';
	if ($description) echo '<div class="msdescription">'.$description.'</div>';
	echo '<div id="image-compare-'.$section_id.'">'; 
	$count = 1;
	foreach($images as $img) { 
		$timestamp = md5(filectime($basedir.$img['file']));
		echo '<img src="'.str_replace(' ','%20',$baseurl.$curdir.basename($img['file'])).'?nc='.$timestamp.'" alt="">'; 
		if($count++ >= 2) break;
	}
	echo '</div>'; 
	echo "</div>\n"; 
}
?>
<script>
var element = document.getElementById("image-compare-<?=$section_id?>");
var options = {
  // UI Theme Defaults
  controlColor: "#FFFFFF",
  controlShadow: true,
  addCircle: <?=$cbool?>,
  addCircleBlur: <?=$bbool?>,
  // Label Defaults
  showLabels: true,
  labelOptions: {
    before: '<?=$before?>',
    after: '<?=$after?>',
    onHover: false
  },
  // Smoothing
  smoothing: true,
  smoothingAmount: 300,
  // Other options
  hoverStart: false,
  verticalMode: <?=$modebool?>,
  startingPoint: <?=$start?>,
  fluidMode: false
};

var viewer = new ImageCompare(element,options).mount();
</script>